#include <iostream>

using namespace std;

int main()
{
    long long v;
    cin>>v;
    int suma=0;
    while(v>0)
    {
        if(v%10==1 || v%10==2 || v%10==5) suma++;
        else if(v%10==3 || v%10==4 || v%10==6 || v%10==7) suma+=2;
        else if(v%10==8 ||v%10==9) suma+=3;
        v/=10;
    }
    cout<<suma;
    return 0;
}